Subject: [PATCH v2 05/10] arm: zynq: Move slcr initialization to separate file

From: [email-masked] (Arnd Bergmann)
Date: Wed, 27 Mar 2013 09:31:26 +0000

On Wednesday 27 March 2013, Steffen Trumtrar wrote:
> On Tue, Mar 26, 2013 at 09:43:23PM +0000, Arnd Bergmann wrote:
> > On Tuesday 26 March 2013, Michal Simek wrote:
> > > Create separate slcr driver instead of pollute common code.
> > > 
> > > Signed-off-by: Michal Simek <[email-masked]>
> > 
> > Can't you move that code into the zynq_cpu_clk_setup function
> > instead, and only call of_clk_init(NULL) from platform code?
> > 
> if you are talking about the slcr function, than moving it into
> a separate file is the right move. This should actually become a
> real driver. The slcr is master over all clock, reset, pinmux and
> ddr registers. And as all those registers can be locked/unlocked
> via a slcr register (for whatever reason one would do that), there
> should be one master that controls this space.

Ok, I see. Thanks for the explanation. Should this be using the
drivers/mfd/syscon.c infrastructure then?

	Arnd